Page MenuHomePhabricator

D5. Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages (CA)
Closed, ResolvedPublic2 Story Points

Description

If a page or board exists (with any content model) we should only take into account the content model from the database.

Only if it doesn't exist should we look at $wgFlowOccupyNamespaces, $wgFlowOccupyPages (only until we eliminate it entirely in T90977), and the per-request whitelist from flow-create-board.

This will make any inconsistent state much more obvious.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for empty pages to Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages.Apr 9 2015, 6:20 PM
EBernhardson triaged this task as High priority.Apr 10 2015, 5:43 PM
DannyH renamed this task from Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages to Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages (CA).Jun 11 2015, 9:10 PM
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.
DannyH edited a custom field.Jun 16 2015, 5:56 PM
DannyH renamed this task from Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages (CA) to D5. Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages (CA).Jun 16 2015, 7:22 PM
Legoktm claimed this task.Jun 17 2015, 5:39 PM

Change 219286 had a related patch set uploaded (by Legoktm):
Only check $wgFlowOccupy settings for non-existent pages

https://gerrit.wikimedia.org/r/219286

Change 219286 merged by jenkins-bot:
Only check $wgFlowOccupy settings for non-existent pages

https://gerrit.wikimedia.org/r/219286

DannyH closed this task as Resolved.Jun 22 2015, 11:17 PM
DannyH added a subscriber: DannyH.